<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:custom="http://schemas.android.com/tools"
    android:id="@+id/parent_layout"
    android:layout_width="@dimen/hieght_190dp"
    android:layout_height="@dimen/hieght_200dp"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:id="@+id/no_data_card"
        android:layout_width="match_parent"
        android:layout_height="@dimen/hieght_200dp"
        android:layout_gravity="center"
        android:layout_margin="@dimen/custom_margin3dp"
        android:visibility="gone"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="@dimen/custom_margin"
        app:cardElevation="@dimen/custom_margin">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_margin="1dp"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/no_dash_img"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:scaleType="fitCenter" />
        </LinearLayout>
    </androidx.cardview.widget.CardView>

    <LinearLayout
        android:id="@+id/rlDashInfo"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="@dimen/custom_margin"
        android:layout_marginRight="@dimen/custom_margin"
        android:layout_marginBottom="@dimen/custom_margin"
        android:background="@drawable/rouded_corner_gray"
        android:orientation="vertical"
        android:visibility="visible">

        <androidx.cardview.widget.CardView
            android:id="@+id/dash_card"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/custom_margin"
            android:visibility="gone"
            app:cardBackgroundColor="@color/white"
            app:cardElevation="@dimen/appbar_padding_top">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_margin="@dimen/custom_margin2dp"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/custom_margin3dp"
                    android:layout_marginEnd="@dimen/custom_margin3dp"
                    android:orientation="horizontal"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_margin="@dimen/custom_margin2dp"
                        android:layout_weight="5.5"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:text="@string/target_amp_nachievement"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal"/>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginEnd="@dimen/custom_margin2dp"
                        android:layout_weight="4.5"
                        android:background="@drawable/round_corner_grey"
                        android:gravity="center"
                        custom:ignore="RtlHardcoded,UseCompoundDrawables">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|end"
                            android:layout_margin="@dimen/custom_margin"
                            android:fontFamily="sans-serif"
                            android:gravity="center|end"
                            android:singleLine="true"
                            android:text="@string/view_report"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/txt_size_12sp"
                            android:textStyle="normal" />
                    </LinearLayout>
                </LinearLayout>

                    <com.ekn.gruzer.gaugelibrary.HalfGauge
                        android:id="@+id/chart"
                        android:layout_width="match_parent"
                        android:layout_height="110dp"
                        android:layout_gravity="center" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="@dimen/custom_margin3dp"
                    android:baselineAligned="false"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:layout_marginStart="@dimen/custom_margin"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="@string/achievement"
                            android:textColor="@color/circular_progress_default_background"
                            android:textSize="@dimen/txt_size_12sp"
                            android:textStyle="normal" />

                        <TextView
                            android:id="@+id/tvTargetsHalf"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:fontFamily="sans-serif"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="12000"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_14sp"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:gravity="center|end"
                        android:layout_marginEnd="@dimen/custom_margin"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif"
                            android:gravity="center|end"
                            android:singleLine="true"
                            android:text="@string/target"
                            android:textColor="@color/circular_progress_default_background"
                            android:textSize="@dimen/txt_size_12sp"
                            android:textStyle="normal" />

                        <TextView
                            android:id="@+id/tvAchievmentHalf"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:fontFamily="sans-serif"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="12000"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_14sp"
                            android:textStyle="normal" />

                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/cardDonutProgress"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/custom_margin"
            android:visibility="gone"
            app:cardBackgroundColor="@color/white"
            app:cardElevation="@dimen/appbar_padding_top">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_margin="@dimen/custom_margin2dp"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/custom_margin3dp"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:layout_marginEnd="@dimen/custom_margin3dp"
                    android:orientation="horizontal"
                    android:visibility="visible"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_margin="@dimen/custom_margin2dp"
                        android:layout_weight="5.5"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:text="@string/target_amp_nachievement"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal" />

                    <LinearLayout
                        android:id="@+id/rlViewReport"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginEnd="@dimen/custom_margin2dp"
                        android:layout_weight="4.5"
                        android:background="@drawable/round_corner_grey"
                        android:gravity="center"
                        custom:ignore="RtlHardcoded,UseCompoundDrawables">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|end"
                            android:layout_margin="@dimen/custom_margin"
                            android:fontFamily="sans-serif"
                            android:gravity="center|end"
                            android:singleLine="true"
                            android:text="@string/view_report"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/txt_size_12sp"
                            android:textStyle="normal" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <com.bikomobile.donutprogress.DonutProgress
                        android:id="@+id/donut_progress"
                        android:layout_width="95dp"
                        android:layout_height="95dp"
                        android:layout_gravity="center"
                        custom:donut_text_size="12sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:orientation="vertical">

                    <TextView
                        android:id="@+id/tvTargets"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:fontFamily="sans-serif"
                        android:gravity="center"
                        android:text="@string/Rs"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_normal"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/tvAchievment"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginTop="@dimen/custom_margin"
                        android:fontFamily="sans-serif"
                        android:gravity="center"
                        android:singleLine="true"
                        android:text=""
                        android:textColor="@color/grayfor_login"
                        android:textSize="@dimen/txt_size_14sp"
                        android:textStyle="normal" />
                </LinearLayout>

            </LinearLayout>
        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/cardLeaderBoard"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/custom_margin"
            android:visibility="gone"
            app:cardBackgroundColor="@color/white"
            app:cardElevation="@dimen/appbar_padding_top">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginStart="@dimen/appbar_padding_top"
                android:layout_marginTop="@dimen/custom_margin"
                android:layout_marginEnd="@dimen/appbar_padding_top"
                android:layout_marginBottom="@dimen/custom_margin3dp"
                android:orientation="vertical"
                android:weightSum="5">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_weight=".6"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <TextView
                        android:id="@+id/tvLeaderbKPI"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="60%"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight=".9"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="ACH Per % : "
                        android:textColor="@color/circular_progress_default_background"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal" />

                    <TextView
                        android:id="@+id/tvLeaderbAchPer"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/custom_margin"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="60%"
                        android:textColor="@color/incentive_max"
                        android:textSize="@dimen/text_size_normal"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="BA Name : "
                        android:textColor="@color/circular_progress_default_background"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal" />

                    <TextView
                        android:id="@+id/tvLeaderbaName"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="false"
                        android:text="Shubhangi Kishor barapatre"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.3"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="Counter Name : "
                        android:textColor="@color/circular_progress_default_background"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal" />

                    <TextView
                        android:id="@+id/tvCounterName"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="false"
                        android:text="LIFESTYLE-MILLENIUM MALL WAKKAD,PUN-MNY"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="bold" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.1"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="Counter Code/Id : "
                        android:textColor="@color/circular_progress_default_background"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal" />

                    <TextView
                        android:id="@+id/tvCounterId"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:singleLine="true"
                        android:text="4569"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_14sp"
                        android:textStyle="normal" />
                </LinearLayout>
            </LinearLayout>

        </androidx.cardview.widget.CardView>

        <androidx.cardview.widget.CardView
            android:id="@+id/cardDonutIncentive"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/custom_margin"
            android:visibility="gone"
            app:cardBackgroundColor="@color/white"
            app:cardElevation="@dimen/appbar_padding_top">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:layout_margin="@dimen/custom_margin2dp"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/custom_margin3dp"
                    android:layout_marginTop="@dimen/custom_margin"
                    android:layout_marginEnd="@dimen/custom_margin3dp"
                    android:orientation="horizontal"
                    android:visibility="visible"
                    android:weightSum="10">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_margin="@dimen/custom_margin2dp"
                        android:layout_weight="5.5"
                        android:fontFamily="sans-serif"
                        android:gravity="center_vertical"
                        android:text="@string/incentive"
                        android:textColor="@color/black"
                        android:textSize="@dimen/txt_size_12sp"
                        android:textStyle="normal" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginEnd="@dimen/custom_margin2dp"
                        android:layout_weight="4.5"
                        android:background="@drawable/round_corner_grey"
                        android:gravity="center"
                        custom:ignore="RtlHardcoded,UseCompoundDrawables">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|end"
                            android:layout_margin="@dimen/custom_margin"
                            android:fontFamily="sans-serif"
                            android:gravity="center|end"
                            android:singleLine="true"
                            android:text="@string/view_report"
                            android:textColor="@color/grayfor_login"
                            android:textSize="@dimen/txt_size_12sp"
                            android:textStyle="normal" />
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <com.bikomobile.donutprogress.DonutProgress
                        android:id="@+id/donut_progress_incentive"
                        android:layout_width="110dp"
                        android:layout_height="110dp"
                        android:layout_gravity="center"
                        custom:donut_text_size="12sp" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_gravity="center"
                    android:layout_margin="@dimen/custom_margin3dp"
                    android:gravity="center"
                    android:orientation="horizontal"
                    android:weightSum="1">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="Earned Incentive"
                            android:textColor="@color/circular_progress_default_background"
                            android:textSize="@dimen/txt_size_12sp"
                            android:textStyle="normal" />

                        <TextView
                            android:id="@+id/tvAchIncentive"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:fontFamily="sans-serif"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="12000"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_14sp"
                            android:textStyle="bold" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight=".5"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:fontFamily="sans-serif"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="Maximum Incentive"
                            android:textColor="@color/circular_progress_default_background"
                            android:textSize="@dimen/txt_size_12sp"
                            android:textStyle="normal" />

                        <TextView
                            android:id="@+id/tvMaximumIncentive"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/custom_margin2dp"
                            android:fontFamily="sans-serif"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:text="12000"
                            android:textColor="@color/black"
                            android:textSize="@dimen/txt_size_14sp"
                            android:textStyle="normal" />

                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </androidx.cardview.widget.CardView>
    </LinearLayout>
</LinearLayout>